package com.sonic.common.event;

public interface EventProducer<Meta> {

    /**
     * 发送event
     *
     * @param event 事件主体
     */
    void send(Event event, Meta meta);

    /**
     * 发送event，meta信息使用默认的meta
     *
     * @param event
     */
    void send(Event event);
}
